Bug 1044138 - mep_pre_op: Unable to fetch origin entry
Summary: mep_pre_op: Unable to fetch origin entry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:17 UTC by Nathan Kinder
Modified: 2015-03-05 09:29 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Deleting an entry while having the MEP and Referential Integrity plugin enabled Consequence: The MEP plugin tries to process the internal delete operation by the RI plugin, which logs a harmless error to the errors logs Fix: In the MEP plugin do log an error if the operation is internal Result: The errors log does not can any errors for successful operations that interact with MEP and RI plugins.
Clone Of:
Environment:
Last Closed: 2015-03-05 09:29:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:17:31 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47337

During IPA automated testing I'm seeing some MEP errors logged in 389-ds. No IPA unit tests are failing so I don't know when we started seeing this.

I've seen this in F-19 and F-18.

For the purposes of this bug I reproduced in F-18
{{{
# rpm -q 389-ds-base
389-ds-base-1.3.0.5-1.fc18.x86_64
}}}

The IPA server is from master, it is the 3.2 beta 1 release.

To reproduce:
* ipa-server-install ...
* kinit admin
* ipa hostgroup-add hg1 --desc=hg1
* ipa hostgroup-add-member --hosts=`hostname` hg1
* ipa hostgroup-del hg1

This shows up in the error log:

[19/Apr/2013:16:45:29 -0400] managed-entries-plugin - mep_pre_op: Unable to fetch origin entry "cn=hg1,cn=hostgroups,cn=accounts,dc=example,dc=com".

Comment 2 Viktor Ashirov 2014-12-11 00:10:35 UTC
Hi, 

is it possible to reproduce this outside of the IPA environment? If so, please provide verifications steps.

Thanks!

Comment 3 mreynolds 2014-12-11 19:03:53 UTC
I can not reproduce the issue anymore.  I removed the fix from the source and ran the IPA testcase, but the error did not appear.  The fix was to just remove an unnessary error message from the errors log.

What appeared to previosuly cause the issue was:

[1]  Enable mep plugin, and the referential integrity plugin
[2]  Add a user
[3]  Add a group, and add that user as a member of that group.
[4]  Delete the user
[5]  Check the errors logs for "Unable to fetch origin entry"

Comment 4 Viktor Ashirov 2015-01-02 22:57:16 UTC
I can reproduce this issue in the IPA environment with the build without the fix using steps in the description:

[02/Jan/2015:23:48:11 +0100] managed-entries-plugin - mep_pre_op: Unable to fetch origin entry "cn=hg1,cn=hostgroups,cn=accounts,dc=example,dc=com".

With the build 389-ds-base-1.3.3.1-10.el7 there are no error messages related to mep_pre_op. Hence marking as VERIFIED.

Comment 6 errata-xmlrpc 2015-03-05 09:29:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.